Gecode::ArrayTraits< ArgArray< VarImpBase * > > Class Reference

Traits of ArgArray<VarImpBase*>. More...

`#include <ldsb.hh>`

## Public Types

typedef ArgArray< VarImpBase * > | StorageType
typedef VarImpBase * | ValueType
typedef ArgArray< VarImpBase * > | ArgsType

## Detailed Description

Traits of ArgArray<VarImpBase*>.

Definition at line 85 of file ldsb.hh.

## Member Typedef Documentation

## StorageType

typedef ArgArray<VarImpBase*> Gecode::ArrayTraits< ArgArray< VarImpBase * > >::StorageType

Definition at line 87 of file ldsb.hh.

## ValueType

typedef VarImpBase* Gecode::ArrayTraits< ArgArray< VarImpBase * > >::ValueType

Definition at line 88 of file ldsb.hh.

## ArgsType

typedef ArgArray<VarImpBase*> Gecode::ArrayTraits< ArgArray< VarImpBase * > >::ArgsType

Definition at line 89 of file ldsb.hh.

The documentation for this class was generated from the following file:

- gecode/int/ldsb.hh